# mamgal - a program for creating static image galleries
# Copyright 2007, 2008 Marcin Owsiany <marcin@owsiany.pl>
# Copyright Suzan Kare
# See the README file for license information
#
# An embedded directory icon
package App::MaMGal::DirIcon;

my $uu_dir = <<'EOT';
MB5!.1PT*&@H````-24A$4@```%H```!#"`8````<<1)1````!&=!34$``-;8
MU$]8,@```!ET15AT4V]F='=A<F4`061O8F4@26UA9V5296%D>7')93P``":J
M241!5'C:S(ZQ#8!`#`/]#`HM'1.P!BM0T;$#&[T$^=CD)81HO^,JRXDM)TEH
M(07'-HTJMB!UJ/F<"XHSKI^ND$Z!U8J?C@8+T]UA(F0$Z>!YK?V\#T_X+5'K
ML)]S"\`='=L`",0P`/3SC`HM$U!1,P85,R`Q%`42[T]P!`O04J2RFYS3EW\"
M>5_Z*3M'0P(]0(2%C"1(U$N0#C<-0`HY.LTC9\H\H`VE*BL:P0BPX#C;=9BW
M3BV^%^#V)^Q;`.[)X(9!*(:A3DB<_[^8C`&08(,>N@`;=*<NT7DJ534C<.7@
M4U[DR%;\2LB?]^M1]EO2`V6&,0$]`L,-W1)THH)H)'H52-<<R#2$.*J<$#M,
M>_J&$D\O)+_K\=QVV<Q2D^*\[?2\2]!_`<1$;"!?WM>7\?/#PV0V-C:C_\#`
M`H832)P!E%Y9@`F0B?DW`R,S.&TS,/X'IF[&_PR,+,"88`$&[C^@/"3=@TP#
M!B%0%U#N/U#_?V8F!BX6)@:6'P_R&PNCYP`5\`(QYW`+;(``A)7-#<(P#(7M
M%`Z5$!)G)%9@'H9@@([`"-PX,`S[("'J_/&]<D8<*B6Q^I)G.U_^HD-&'_>3
MKK*MQQUI:N`@0$,RK[KG"C'H)`X4>,XVDQNQ>>%S-)"1^:=:(O_"1NE\90`=
MPDR8J/-&9WZ^;`ZW*.AE,1WTP/&A.5.PD]I7DR(F.%^%'Y6!>CJ#4(BBKBK:
M@TY*$^!/;X+.:JRIN,&:FB4!J:5IBEA555;T\6&^-(9\=4=+KO&F2%>$/5V(
MU)O#9+,=;7\XGJ?+[?KKK?D(P%>YW"`0PT`4!RY<N"%1`S51!0U0`E4@;37T
M0V(GO+$YHY4/2;S)>,:?OT3_LJF]MYOGQO&4G$Z"":7T@*0HT`8ALDE0/0@H
M2@)S*Z)9&P1^0N!\%RZ2.5,O'X$/FH#-7=9S@`;_HE,.7'/N535PAU`M^G\A
MCZ(%O]$D`/MZ4SZ<3=H<8!B^&BBJ1&@#XTS:2!8I@'HC]4H521[+K^AOK'E_
MKBPQMQ*CQ4R/CA"'_4@DY\OU_GB^5)6CLB]-7*^O`(R620X",0P$TW%RXN]\
MCC,2KT!(,&.Z;![`(;-(L>*EW,X_TA&+UO:*)"09#!P\BY!@@QU?U%=^SACA
M@&,>17\2IZ6B:(`8OFQ?Q$"KA^782`A1.!@G-+)=A1HQ;/W_F2K2Y/?.%J&^
MW$0EXE1S"/7APK)4M%JV?-,)RYJ6TT8WZ&>?#.1PD55)S(J&5&?[GO@Y/%M:
M]MX4C7,HU%05<-/==O#YTGC<;U=O-XWC4F8M?_"JKP",EKD.PD`,1'=M;X1H
M:/C_3P11D^SRQB82)8J<(O(QOL:Q/S@\M%(2AT^[:\4F`8+#IFY21`I\B'/1
M-L"+FIW7("$5U!(\H%&`LK'%U\0MKO>P3%%4<()1(VM:9Q8FULPF;_J*@UUP
M]&C]25:)OWLM]J8U&L1E"&2[!A)I@*GN1^2&*-[9++,O'16!M/*.;N+O2I>F
M61:__TS[<J\[Y?P07%9[/1\ROB,WY"HD16RM?00@M`QV``1A&"JRX#_X_[_G
MW2@6VP[/'CP8EK!UW1OQQW#'1,L?"EO6QXG4$^FHMEC`>HO3%Y/FZ*O_<G5Z
MD#EU\Q->C#RGD`C8L4%>P\]!"=:G0W6K6))%A>X41C1-"4@6R$B(VXO7\>9G
M)$S&E=.FZ:+56":QA&I$#+H[,3<\-:(OYH+N!GTR_0-LF29Y9#+M&)\53[.:
M/8",)=^"S6W-FN[\CJD?/H2\`C!>+CD,@S`0Y=--C]#[GS))PW3>F*K;(B&Q
MB((9CQ_X\9>C^]BJ@PT7%G4^%&&P,24V<=1X.OM'7B&(V1#(+)NX"8;:E0M&
MWB[M2>-BP4ZTP*4S#4YOWP.Q![>4W9H0%%JB"V+)XN'*7(Y\:@R)1@CFJN4_
MB#U8=U6<<T5,714'DTR)W)'\U0L;8%$_2M?;2E6Q!5VHF7$F3\1SA]L>KZW=
ML2<>>W\$8+R,D2"$81B(E1#Z^_]7C^"5S=57T##,));EE=$?CI8H9-2,18H\
M$<,)OCPZN6JX`#BFZ/[LXJ$!D>_6C5!?"RXW3EC<2#K@)]^.@@Q%X#KTX?#I
M'#B<`QC$'">$HR9GL1$DDXT2U3B[88B6@IUF?2V8;`G!.?GL4\;&<&YL.WR0
M)X2=BM,.5[K9=R:$?QM5]/4GL8N]YHN.3_\37(V.>`1@O`P6&`1A&&J#^/]_
MNY/K\E*][\"E"%C2).4?,Y2T#T;M,<.<(>AB6F,8UKWR[=3^C)9#Y1IM3/N%
M/#PMV9FBZH"P-0;6P@8J\\>H8BA,E<5H76&GO[W7"C[$R\F%-"2+F4FIWJQ.
MG^^U[B>CTX"%<0&,][C5PX*N.6^-R>H[4H?$M6,7QD=\=?XCP%4HDAP")4@9
M:/8']$>?WX?7]5[T3P#&RR4)0!"&H;2`G_M?5\!\6+ERK>/4-GE-_S0ZRN88
MFZI-CBL0U0D)7@C&2HE+2G&KNBT8&GF!^!W+PBJI,Y4H&I3(,WZ-H72@P#8=
M11<YS<3#GXA'[W;6T+@D$<+2*`E9(#3PW(8*N2J%(1*8=5)O)RS.JY8.JV1W
MAQ(KGG/H_`Y05=&X9"Y?AH<'`F'L7-+,4R]1>>S8X5GHN#]-5J-?`1@QER0`
M01B&4JB?^]]6^=0F[8PN7<E"A"F8O%3_I)K-6MYM?^Y'4>?G.2H_+7!UX%H/
M_9NVI;9JA(4,,Y`"S#=UPSS.8A>*Z^_+Y0@6-WXHFDTW-XP.2NT(!XM]D<G3
M-!H</`$L3Z^Q)`5ZA<LA==:+AT-SO0Z0+?24*>ER8.`[X%!4P@JAT63S1:;G
MS^5KP/`J$5S(^:O(VSH;G62"I:HVCC_%;=_D_0C`BQFD4`@#,71$JQ4O(=[_
M=!\1L4XUR?C!$[BJB^(BTS9YZ;[$T(1DX6FRC%FT\V)#/UK.O9T'RR;08F4+
MB"'2S7?7V^C`1C]*9&E&;Y`DF[^X!:>(D\H(E`H)%$(46@0A*6R?;VWU)YQ1
M]2;@A<"D@X]_R+RO2!(>DXG"3*K;<XA,IBBQJ^I);$N@5K??NLE,7][V7_5]
M"\"(V>,@#,-0V(D0`HFI4P_0E?O?AH&-&[3Y<?'[DA6)/6IMY]G/7_XJ=+)!
M/CG4*I-QN3>)$D[,VL[,KG+CO!O2$?7)U=6636!R\DQZOUULV9[V6-88;<VN
ML1:5&:"F'J2F@L0O/0\B,[!?>0F4"LER7E+J%>6Q0\D+4/RDOSB?"<6-!4GJ
M[RR??'O@X\E30%7Y/(VB-^="U%E<;II4K2`D@KBDVH<C"OG?KX_M1W1B:3]K
M^!6`$2M&@1`&@O$41+!0K"RNL?7_#Q*_(&A(8FYF-M@)5VF1+,GLSF9G_@(Z
M-VU9W3T]CQ=.E54210.IQA%+:;D.YT^/:HC*O.9-@-(!W&%973].ZKF\C/=!
M!R88A>C&]4)Q?1$\"DAG`#Z%<POH)%L@BZ=1BLX,+TI]/6"L>*[#.3F+J^?B
M7T\"DOV1K$ZR!2AE`Z/<)I(2*QB%%#`&UF`;]]+=I9^3:14@R/P=9?]NV_Z*
MX4\`-JP5BT$8"`:"KL&!J.H!,.UAN`67X@2UU;U##0[3]WAU?%Z2[LPN#X,F
MP&9W,IF98L\TQN'=Y7%N?%I;0E4V]/T\N6B;)[<M/][V.T&I1=5@Q5FX?^0F
M.@"@,1GRHO#9I;ZR=QC4"L4/2QPUYU!*,^2`ZSBYC-J56AL`DA;X3(]U8`8>
ME4^(T41UDP.;K`7V.U$C!]/8R#!H^:$8>.](71B(J9U0J+V@]><7\1S<+:I+
M*`MUX93264+[XS_R_B)#J.K2W1\WU[_.F_T7@"XS1D(8B&&@R1VAR4##'W@9
MO^$+O()WT2?,S1W6VJ2C29-DYB+;DJQ4@?QZWF^.QJ.V-Z`@LM!%8^L[NC+/
MIVMBB)^*KNL]?#2+0^&6*(+#'1*PK(RHI7W6$!AA[)>-+;#C9/C6B&TL-XX<
MU^C0@3W\01J%C&)8_+WQ"9&OMC;MSYNF1`67`^O3;J!XEVQ&`EDBM/+FF@>9
M52Q6F@2OKG1`#F1`C=7*-@C4B*6@1P=<%.EG.%^6OQW]%8`N,[9A&`9BH&3#
MJ0.DR!#9?YT,D,ZUWO\)CX*1QA/X(=%\\H2BUZ6_]L^[/1]W&$7-8J/DJ`'J
M_XDJ9WM`]=NI0@5\>=F(N;*Q%72')70.<'5L(X%DNQVJX^B&N&173']/%SCL
MHS!$+M"O.EY6"<LF]RI%3,4;E/LEASJN65!H-5>>PXU/3";<1#5#E:U)FW2A
M?)CJT7ICF/3]_ABAV^Q>BDH:8JRBDCK\B&N/_@K`A[GD``C"0-06]/Y']`8F
M?A8:`C+3EKAR"PF!IDS?#.W._91V;.MT7OMP1,A#)!I8/O,SV2)M>+)\@-#O
M7>HFEDBGP9;XKI3O8LVJXAE#=1=)J.)C?,`'DQ&98#A@@V::!`PG0S<9DI59
M/IY*_25^,[9%X56<KT/[$5(Q2Y<H`9J?LO8`8:%<S>(PW+7DQ>C%B257#-V^
MC^=W`M)JI90?5_(*0)<9Y``(PD`P"/__H1<3SUZ,'@A%.EOBP?@"H"W;[I13
MMOU81^/J]W7&UY3/)XNXR/*U,%1,C<B+B!F.C[6(='J.^&AYIM'P4I-6-G>.
M7EEN?G-YIXFTO/*15/TD:>9;PCNB4JGXG"SN/<X#>ID6PDO&!#50:Z!=OTLS
M:3C33`-.>1`%PF2SV10$[W!^0O^!5`JF%=?LVB,^`FC=_B/]"$"7N5TA#(1`
M=!_I_UB!O=B-%6A$`@G#L'[9P!X6AM<%CK[='T_97_*1-YR<D[9S&"Q^7:=M
M"G$C88F/385RPK&VZDN$29([`PBDOE/F!KX1Z_BLL2Y:.?I"'2A^%O9#LQQY
M(ZKT9)NC91IW@J.:6`??L`YN',N.-3[A3A$I2E9(&<5K<A&!?9[Y3$*WH`9I
M7P`D7&6N0.K0Q?_<OG\=?0K`EQEC,0C#,#28T/O?L$M7NI:4V`%+:L:N(8\A
M3Y;L;R3$\_4>[?CL_6SE^#8H,I]IE;?&K^L.;BB*B!5?(<?;P5`JCO(62L#W
M8*U.\(BSJL[-BRJ!L&I:1@B+Y4C\,.T^!M`D0(^IO]L<@1;)C=$PN^S!Z-5&
M[Z4J22RKU`RK6D@)>Q@&(N@YEKFWR8KEKU;PF-&I=J_;'8)WJB0V`!;F_?BS
MWKP$H,O<D1"&@1@Z7L8'S]72<09N0$.ZC`TX1$_K=)1N/.N?5D^.N?KU_EA:
M;_MK>S*Y&U/E.:*<4TZQ>#K.W0L[/9'@0EEO27"(U/9Q);LQGX&N`;9+136%
M^(>E2N4>Q0H_N1FY[080Q_+.C;F):CP]"),T?.<&`3PE^W$9I':"D.!SP9+T
MX7`JGC@R4L6*)KS@1NA#X8E`S"^298X8<(1\D[KS#6FL9TG_-_HG`)]FE,,@
M#,-0E([=_T;[W!4F[1H(B5'FU78R_CA!1>,Z\0M1<GL\WZ]M7;;/4'3B.7UT
MRY4.RGYXL"1Y\T5_K7`5(ZQTGM=1335.VTD;(5D;8A2^=!O;55@D4Y`G-T=<
M_B\"-<I6K=*,4M-=>"Z/GN1N$C_QJX"2IZ<8KUHY<NY,B^DC?VH1220/>*P[
M(-"O0F,6_^[$`;5CXQ(:]U'T>007!AJ'JPOGF'X"<&DE.0""0,P9_?^G//H'
M?^#1A!`5TP6C<F="@&E+R[/1\[)NI90=.%VY0,DM&8^"X4'25`3%!&.4+NZM
M3$,G12SZE\2F2F)O^KE\^K:WP=SDNQHO.*(XIMD4CIQZK:"W86\<-0YY(JP8
M?DG".VG2NY)T)ED<5UQ6XN@AN7MY".@[2"&?%*\IC;GZ82-P9A*4M%&1Y$R<
MC[76+[?\QBT`G>:2PR`,Q%`-H?<_((=`8@5J,T/\2=L-"[81BB;QLYUYIJE$
M^WYLM-#7.1;I7+R'W%,V#5/-H!]*AD0?Z=<G3$[%UD34`C)^F<,EC9Q2.*OX
M/16;37.9V06TP>]?%ID]E!*_6);OQDK$5E.-+3HJ-29RC6+9I(*>6*8U'B*=
MOK+PIVF?*3F,&_YG,#1+[E2AD`-I$5#1NG>1UAL<#M3-YZOC%H!.*\@!$(1A
MH/S_;7[#Q(L'8W`HVJXH%WD`(=O8VJZMHG'_,2_K9&9YSYNW"\(V"4B='A5+
M@A%#+-(9(GJ+/UK<3L--L-9]$+0A2'"GMF%J+_)0!)_X4H"<\G/$G@PJUK/`
M[H1GT#:X_VL),Q9$_=+&D`;1(4!+3Z:T9*VG8O2_$@E2RCN\3UH84@<U+]+^
M.CRM9`2.-OZ(BZRQLL(!(__.+0"9YG(#(`S#4%6(_3=C`"X,P`;]A<1V$!5(
M7*D(*<VSO73T>=V'GX?3[ZS]&EQ4H8/(Z#(4*EXE(<7$-"0[%"=U8\0/)(\C
M=T>)<KXDE&)2$=VQ$"-#*T8C"_,M,B0\(JHQH`-OSW*RV;5CU)71$%W/]_?J
M\HE@.E13&*:)20<^)."UTV''KM&DM57^DL*/Q'H!.-Y4;7['X/_U"$"GE9P`
M"`/!Q`/[[\.W?0CVHI!C=68G1!!30!YA,SO7\"*N:=WVX^'3%RA>+BE\V8IU
MEQ7;+*J$$GQSCUUG<<)H.HU1[1Z)[*G0)2)AP<0TZ]8<XQMEL6+"9;$6$P:C
M?`.,GXT*L7$6@JK8B@.#EVH(VX.4YW/'R2^NFZL_.,->@`\B,:0T4L>(S[A/
M,%!(>>KE"1&AI%"QTN]).2S9;=:_<PM`IQGE``B#,#1HO/\Y3?PS,]%MHK1%
M_?$*0*"T+R4!#,-Y64LIV^RBD(@*9!'Z:UO&>6WZ68V(U"GPA&9G^A4.81^O
M\!`H012C3G<+)F(+)H6>NC?&Z*@RJ^CJL6B.6T&=+)XCDH\`<!BY0G6<WA_#
M"(O)N(F!HH!:,B3ND(#^E7!R'/,F*%EIXCR\2Z%@957>G8%YYMCX$>[WT%7[
MG^A+`#K-8`=`&(2AR_3_?\_?6.(1!KJV(_'@50\N*J4\VI4-*YT>X[X"VPFB
MQBKK-;E-UFM6,TF.XL$K+G7,K8\I1^#<7B_*!4>HS]+UE^'14R!)>AV?-85I
M]!%L-T)]:\S%^;'NKN;$7,A&,F0T$^0-;$9Z#KP9/%\K/W)J>V*`5$A]O%Y;
M@2Q62%.?EF."8,$T.*&J_[_H1P`ZS6`%0!B&H=OT___,S_#@41C;P;E)DU1%
M4/#D9;70)>E+']"CK=N^U))+KE4R3F8E,K\-8.B\"5PIG=*WGM(Q9)PH`1.M
M+/J!T+UA^3EL/AHF8/,6IS_X"KNQDN=!C7`W#S.W,:0';*.?[T;!M/]PD\XM
M#_$`H@\H)39]"[IT>:[N'/<K>.JJ)'JL.AZO``9<26$$7$,?\/=<`K!M1BD`
M@D`05:GN?[#PHRMTAB!MU7)F-R$*I/[$TL7GFSXTX63=]B@YE70>9'<#`*FC
MCMJ1M!M.KKWW/I"L"=-B+$Z0J"P!MCM')518``31>'*F@\*?I\:_"J!#1!69
MG_G1&(MD/\C-+%@M%Y0P/:%A(H.-2G>>T377@@*-Z%%LL`%QCG4%!W7%AI>%
MG=,$Z^*UE$GHV"5C"?Y<MP!TFLL1@"`00_D,_1?BW3HLP2Y0$7`V">)%"\`9
MV`W)6[ZX"1N]K-M^'CE#OVRA<-%]"+(SY@8X#3J&VW'05&82'`1'4VNFN(H*
MKFZZ">JRJDM7:E,#!\D'UP-8)D`*3O_AI<A#](C.8,-R0WU$951B!-ZRJ)RL
MFX":(P[&TA['#X6>P>MU3*?<%3#P!$O;WD>0[&17F#I-K_OPL3_?(P";5G(#
M,`C#4KK_D%T!]0,BI,5V4!]E`(02<O@H'P^OYYI7ZWTY-+9D[,H.(!:AS+*"
M,8-H)D2RRP4`^ZS!2C`)=&)HM\V^;QBZ!IF(-H-3R0NU#0C#J\2[L(SKJ1/D
M,?I_T;U(9*1H*M`S^%,7`]A5+X3I>H_381?.#<(V1<QDD@,AE('P;9P'%H<&
MY_O!1B,SD.7[<QX!Z+:"'`!!&";J_]_F1_1BPD%DDW8%$Q,_8,R*:VGK_-%N
MF$+9CW/#2^?<SH&]"I`H#IHRK@@26Y(&[<2'RT0-]H8S5MP%C-9$MSS'X"?E
MCQ'ULX`.MPP#NTNL!2@*,W4^:G@O\I;I@^-)"`!<W@4P7J59W`:V+.?0&FV$
M3Q_;1C[(ZWP##S4$CCGU0+;PQZ:9G\+%H!F'JRY)-84UN,'_$Y9'`+K-'0=`
M$`BB@/<_G5>PL+104#[&S,=.:PH(D&7>S/*YT<NZS>78RYFSBKZ'.JLB[7*#
MQ"2MRZO6C8!J'FQL6-&_'U`460L'`#^$H6IUL!JL0+07=`QH6@E_`3;#J#R"
MRAB43NPRGU*4<81U83Z@=U3>Y9"U^H*X-?@V]#`/E5M')]#PC6.L^AY`*3C8
M\?_JK*CP%CC.]3>]54F98KK^:\<C`-G6E@,@#,*<B_<_B?^>P4]OH[!A:#MC
MU-_%9`\"I2W?B\9#KMNQNYV]J<H7M2,#MN'`6./^BGCE03+#8I#_!4F@1PG+
MO)ZY&G[XJB@N4##8D'<A`4.DLOJ3K<MH6@2RT(([!=TV-C&9<+AP,)3J=*[.
MS.7I:G5G;6_41:'4%^+K+)PH)S5`%F%0(RY.,F#2;"!0FN9#5&P&#,YJ;Q?`
M_[L%H-N,<0"$81A80'3A_S]CX04,+"QT20/4=KH@\0"*5-+87-QOKH,V;]WV
MLUSE,+/%'*#=DX7)ZA2!51)A%Y(L6JFJWY7HV34(1N]Z$%A4(VD?*94JW1G,
M40R8'RFF,/<CJ*^*K)(A5YJ3JR.JT$=/9-2#;",%,+?-T#-L+Q*<I+?B3&9F
MM7&'!K0N@KD4UBE`?F7LP<.72SMXC\9G\:.V+T``&`B,31#MOT6G5P"ZS2`)
M8!`&@=/I_U_83SB]VIJZ@-[Z`"\:@1"R*SJ$N'V/UNY+Y()%>,3?*K?`F@XO
MZ<1(OMO[?:-Y[8_9<,+A4BGP/2413U>M2F]9/[9/?2^5SLP54I-HCB@"OKE"
M.:PSZ,QLF3.H549N/%$9Y6@R>#^<EP:/AQZL;T="X4:I!^.N%C_@`@B<92CM
MWZS.WA`&E/)HVJ=$'A)=SORYZE_??0+0;2Y)`((P#+5^[G\Y#^**&:P%;1)<
MZ0D8&&@2^CI_?&90$(^RQU.#2JVRSHW/_!J"-Z'ST/U"TCK1BF^R5$W)T&3?
M%*N3FY-]&&@!V6U'U0_K+SQ(?0\248R3J/6&43IN&K((`Q)@.]Y0D1N#C0LL
M';)KY$$9?!*(X0M<U31>H`>9BKUO^/%+J-Z,9M,U5)07#$K5',.JDX(U>A'Q
M?]"W`'1;00Z`(`P3]O]_>?;D"WR!FBCHM.W0BW(G)!UL:SOR1^H@A,,X]>NZ
MS%N1.$11!XPPJUWCK015YQ,7^;:(566:R$&\DMK#\SU"DQRG`+X[%J_&P44`
MW*RKG<_;51N0+H!C\:#+*DP%A(:!MR`QJ@_T:Q*,4W]D@N1!IF[`#`%@@)*F
MF)I.4XM^`X?(7YNY@+U9-[CCS[.#>1^>H;7VM!/3_5N7`'2;2Q)`,!!$*X7[
MG\/>/6P=A2"D7X_88)V%3"63GOY\Z>,TQ'&:%RGCBJ<I;HPN*,S(<%`@&UN6
MF#YK>*=Z"2+9"J"?V(P$VMK@2.2-.,/2I2I>83BL)=[#H\'`=-CH*(CEOAUS
M03G?1'/P,"DD^B$C(C)DX#3!OMM%1-IOA>]M<;B-J)V37PE&5P_]"I_"7NN!
MDG=3!XOTE^!<>E!/L;,I]]"_?]\M`-WFC@,@#,-06L0%N/_UV!$#"(6VD.<4
MB0'V3K2.X\]G&#I.)\(/P[5NQ\/P]J68S<5.LA<M,@W^US%+HK`#?-,!-"4U
MNP8]I%>R09M&.Q8,%)ZAV(1RS)GX5LVR^%-$P31'3:,PQ[KC`]4!W<(HZ/33
M#X?;8Z%/^`UI5:Y.C_>R%<82PCOT&][S+$U82Y'(8622?`"'S^+YU"W`]!&Y
MBUY,4??][[L%X-M<CA`(@2#J2FD4IK#YQV(6NP<OMK-(?\2+90(44-#3]#Q^
MT:13I[?]<;_U8WUBG(>K%U#Y,*7K2P26)X3Y47T9MCZ3ZSQ&6(`X^9>]-@*L
MJ%@%(I>O^;25`/7ES-I@ADK<TX84M:7EJ@:D',4+AP/\4\8T?.%TD?2J+%HU
MZ:ZT=VRX@,@AAP7W+$WRGN7Y^7+H=4G.;!>D@`F>C[OS%D-&T\N?X/\M`!OG
MD@,@",10)NK]+^<I3-RY0/E).PVZP#7&L+#8Z:LSZ1B3O..\]N=.,9'"+])>
M3YQI6I+K'%`#!)B?^],T@T1X\J2+!TV@#K;J^5_5G`1:%UA[[@LC3,W&9]!O
MDKEHX_XB^K0I?Z*2]U<6C8.5U*BI<.1&BE*SN.WV[V9-'(M;:^PJ"VJL:OX:
M*WF%YP]^CT%>`QBOLKIL&A6;<#98_%\(/+M>`?@XER.$81B($I+^.^+&I`@:
M(<2RA?>M)C=H(./X(Z^T3[[_V-&$C\?^>O9V8+7K>$F4KW,R6ARWY8S*Y)*!
MV_GNQ%C=@A#WX!=^+B+'&ZG5KR;@Q():<);GH#]6,<8ZG'LR*>$0@QD:[2I@
M)1FB5F,C*]67@QX6.]J]H!EXDS;`=$?YD;#8JE$K'I]L\ZH8VGF1PFB;U3.&
M18I6G7^F[H-TA](*?Q=51O7*_U,=7P'H.'<D"&$8AL+]#T3++3C!UA0L13YR
M-I((-"Q5"F;29&0Y?LH_6$R68%FWS_D]]MJEHR5V:]E0>1B'=08O6V/5;-#N
MT5(Q2%^T9@8<W0(BX4%R=8ZR=:]"(7[,-]WH-H<%JK#()17+N&=ZD]\"@??@
MR2/45"Z)DB9/CE]H-JDA1E?2_K\FZ<J7TJV$BB[&[2!\NR?Z*!M>E(YC:/M%
MV'%->C0\.6KL/!E2C3K"0J_?3P"ZS>4&@1@&HCBK=("$MO_"J`'$S?'N9CXH
M!T0N:2`9S]C//QKM@OB=-.;K_7G>'[<=X`FVH>HTU^`O***H%!(A7W`ED0;*
MSS6P#$.0!(R2IE_X;"R"]#C<XBGBOVP$AJ)QB&"7>T8AKN;^0VJ/V[D($I/=
MN]Q#ZEXF_.BC8<4X<-`Z&^6"P/FT@]#<6AL'&P/)S`<#=,6L`2V<D.>]=?WD
MX?%`ZWKM?\XE`!]7<@,@"`2SOJS)_HNP#>/#:Q&90WY:`(%DR<)<^Q6MZ+3I
MLFYS._:TMP..C@'C!8<@R6D&(048_9%1B["PCD(8;5%*(JHK>IO,5U?;Q")5
M)=P.*B"W_ME#IUZ]J,%J[)$V8::ID'C#/`0G:@6RY=BA8^18ZFG!5@8?%/D(
M#1.HK1U2C1'SZLA;RB*&[G0IE(0(H#SP-Y.X%,'3G.*/W>`1@(]SN0$0AF%H
M8?_5&`*),_=\6JCMP`TVH(VQ$O<I?]9!1>_'N85;NBNM8GDMN!LIIWJR*WB*
M=53G8.(]8"'SMT>N'8;]'%V>_1R^MANT(0J3"N;`X1K)%UVV5DA48(2W$QP0
M9UX*4G=EU%)BT4+H&-)%]'%B<Q4]^TL]<0J$JF$Q62_RI(.+/IK?00&@:'8U
M&T)\"<Q``K`86E/EYNQ&_/.B;P'X.)<;`&$8AE**F(<-.+$D"S`*,Q%0@F*[
M<$%T@RII\WO.GU@('KUN^[[,DPUE'*SW!Z[RUMUOVKU3<"&>'Y&RQ%I#PAS\
M9_&F2F0^./1EB<^**S2%1B#,"!`=5@3!_Z6M8;7))\Y_,F#`)!FH,1%V8&IZ
M.3T\63EXG83^Q7N(_@_)ZT/<75[-"C.8T-ZH-&S-=JA=#Y."<5?RU]B"4-5,
M^SZW`'R<00J%,`Q$*2TB7L`#>/]SB>#*@@O_3ZJ9F2[U"&9HG"0O^0HTTL>V
MU[/68QVG>;&GR@,*VXN&/^$20-]F.BY2\"0AB??E=8U]FEB1YAKFNC:N"M?:
MC'!*=MHY_'Y<39W(QKHD`W<0'V>7N+NDLCU##`8K:;Y@(H&)BG6&O:D;2.0@
MA+]X/2$\O3L/&+4.'"8)QAY*0N`'>OW('3]R++F\NXY;`#K.*`6!((:A.HAG
M$/S<^U_)2X@B;+,C?<F*'WJ%SD";OJ0_"_VM$$%;]^?M<CTOT@,EQP*\G.O#
M,\P89'_<2GRBHK<]KLW/;83B1\W<>H&@3-,.6\O"^S:CHMH+T3XZ65*[1QBS
M55)A7%T@:>M6I<,>"%*`@MD>LCS^P:.B<I.>49IY>T76,>@UIYY.X)S]`'TI
M9T!49MR9FUYX$5@%BS_]M]!O`?BXMAP`01@F$+W_U;R'\<O$R&/1M@._U'\2
M86P=I>7/"S[J]+8?J]'%&LEVEB+C)(^>9.9.MGXX*>(M)&Z9]E*=YEJ*JW>K
MT%8_04/-YWQ98Z-;SU1",L'%?P%XX(9,XFB+0]:PD)@'9N2I)E]X]Y<WY\"K
M)65(D(2-KUM,ZFHPMH=D-JTVLC,`7Y`%\,`TW2T"X*F%)B#ZO2:"1YHTB<W[
M^&X!"#F3'`!A$(J*P_T/YM:5)_`"#DD;5-ZG2^,5"`7^U/YG=-#5R[K-U[D?
M56PWANYVJN'\J9ZS.,%"LT8%,`CTEEN>XI2I&]_.&(L(?7/QQO#`&>DL\:--
M,H12>.3=JR9YE8]Y;H&&F)D6K^J%RI@HHX#8;K.7B=H8-S59PPR.XO.`Z.]8
M:$-JC]X4=!?K"`OI"A-QR5BC85T9&9<?9"!],7T6\Q&`D#,X0A"(H2BN#LY@
M%S1@%1XMT`8LA0[H`9WQRL4D"_G_P\VQ@3VP(=G\O)]_SED4Q,=S&.^WZS3'
MIS\788DI(0I$+Z>"B&T`E1A0J8#U@#,X1#=CA8/6@U"#&M*8V5V9EE(E(83T
MX;[1"BR"(?>S1*J,-+<CSC(0^=_=08"9H4A/=)]!$!W!4MGZP*%@6+>"0II=
MKN<FADQ!SAJ2&KIG*JG:5X.74^7?MDD#ZVU=VJYY3>^?'W(10(1."6.%GCTA
M#,320*P(Q`K04U8$H><&T77C_B`&H('4CT`,"FW0]MG;4!K$_P@00(0"Z3_2
M^MUO0/P9:A@GTJ3U:$`CCO8!A0^P\F'X#COB![9N$B"`"`42K$+\"0WH#]"C
MQIB@!HVF:`3X!0UDT%%AGY`"&]PZ!0@@8E(T+*"_0`.:%;HA\`OTI!5F!KRK
MSD8,^`T-W$_0P/Z"G*H!`HB8U/@7*;88H1H_08L/V'$VHP`13M^A@?P16@J`
M>ST``80WH-$Z+M^1RNS/:&<&C0+$4HU?2'7:3UB*!@@@8E(TK/B`M:MA%2#R
MF4&C10<B?)!FC1&5(4``$750-]+1PDP,B',.F$;#%F^`PW?O@4H&@``#`%X.
2SW$/A@^;`````$E%3D2N0F""
`
EOT

sub img { unpack('u*', $uu_dir) }

