# mamgal - a program for creating static image galleries
# Copyright 2007-2009 Marcin Owsiany <marcin@owsiany.pl>
# Copyright 2006 by Lapo Calamandrei <calamandrei@gmail.com>
# See the README file for license information
#
# An embedded video file icon
package App::MaMGal::VideoIcon;

my $uu_video = <<'EOT';
MB5!.1PT*&@H````-24A$4@```%H```!:"`8````XJ$$"````!&=!34$``+&/
M"_QA!0````%S4D="`*[.'.D````@8TA230``>B8``("$``#Z````@.@``'4P
M``#J8```.I@``!=PG+I1/`````9B2T=$`/\`_P#_H+VGDP````EP2%ES```-
MUP``#=<!0BB;>`````=T24U%!]D%$!`@'V6VM8\``"KG241!5'C:[7P'8%SE
ME>ZYTS0:]2ZK-UNVBB7;LN5*G-"KC0&S@$E"")N$E!>2A\&PO)`L.!@2DKS=
MO)#L6UY@DVP2`@0"!+#IV-B29:NXJ/?>RTB:T92[YSMW[G@DRX"]=LK#UUSF
MCF;FSO]__RG?*?\H=/[XBQS*W\M`5555OO_][T<KBA*AFE6+0DJ(_IK1ZU4]
M'L,HO^9V.!S##S[XH/T\T!]R[-JU*T55W?FJ0DL5A3(54M-5,J0SS(G\<LQI
MW,I)*@WS[-IY0=I5\K:II-095+5Z>MI][*^Q$'\UH'__^]\;&]L:5RE>]0(>
MQ5H>R!K^<]R\@V343283A82&>DP&H]-H-*J6()/39+0H7I9UKYLEVNLQ3T]/
MF69F7#:GTT%NM_N4RL%G+9\?\,5>\AC>W+%C1^O_5T`__OCCP4[WU#4&,ERK
MDGHQ_RDZ$,SHF.CIM)0,>T)"@F*SA039;,$6B]EB-IG->%E1O?PI%4CA?[@.
M.#7SHOT=X'M5E]OE=KI<SFF[?=(Q-C[J'1@8L/7V]L1,3DT:YPRMEN__)Z]B
M>&;'_]Q1_G<+]*./[OP42]ZW^?)J_6]FLYD6+EPTO#`GUQX;$Q-IM0:'&O@0
MF!A0&1F#QH")='J]'G*Y7.3Q>.0Y0TD>?LU@X!7@TV0TL=2;16"!MRZ\VD*0
MO@#RG#_OFABWVP<'^^S-K<TIP\/#@3@,\I.G#(KKT;OO?K#_;QYH.*]''GMX
M"\.PG9^NPM]"0D(\I2M7]S+`P<'!M@CX,=4'`/Z;F9FAB8EQ&AL;HZ'A(>KK
MZZ&^_CZ:G)S\6-^9NV@QY>8NE@7!?0TLIF:+A5BRB<T-!04%$6L'&0T&>=W+
MBX6%]'C<KO&QL?[ZAGI+6WMKG*JME)-UZ#=>@^&1^[Y]7_W?)-`[']UY!4_E
MG_ER.9[GY^?WKRE=;PP+"XOB21A\"R$GVU5J:6VEFJ-5U-?;.]_MQGG:K3S0
M(5Z,/A[Q$/_-S1@Z^.,6OB[F\]-6:Q!=<M%E+.4`C_6'3[9'O$A3]/[>=\@'
M'@5;K107GT`IR:D4$QV#Q6>M,&B?$0WR.'M[^_HJJP_'\J+;\%U\/DU>XW?O
MO??>]K\)H!_ZX4.I)H_R4]U$K%V]KG/Y\I)H=F0V#5Q6=X^7W!ZW`#$R,DI_
M?/%9D>0`3U6M*.I3JFH\HGB5VH^:W".['GZ)9W'ERI)26K!@@5^:<7](\P?[
M]]'0T*#^]A$^HP(_'QQLI;2T3,K,R"#V"V+2-`5359;RG@/E!X)'1H;QF2F^
M[8/.:=>/F+6X_VI`[]JU\WI54?^=+\-SERP>N/C3EX:PN@K`S`C$MGI@:]43
MCDQ1#`S,#-76':>:(S4T-24FPLF#^@]&Z@?WW/-`G6[2^<SB<XGO,9+/T/CX
M^"6961F7%104T/;MV\GI=/HETV@TT$#_`)57E.'S#39K6.$WOO$-)W/Q',7D
M+>&!7,0#N)!?R]#GD)281%G9V10>%D[!#+K)9!3$1T9'NM]__]W8J>FI('Y;
M&4OW#:<KW6<%Z$<>?>AAOM4.2,/6Z_]A.#HZ)@8T@6V?2!@FW]K62O8).V5E
M98GD`'S5!PH`AYUN:6FFZII*&AT=I<[.+F_%P4/U5955CJFIZ7P?V/-2OS_]
MZ47*R,QD)^?RFP@<W_[VMRDZ.HJB8B*W_=L33_YZ/C^RZX</;R"O<AL_W<JG
M#?=+24VC]-1TL>NQ,;%BU]FDN(X<J>X_7GL\F=\WX%643??=?=\'?S&@'WGT
MX<?YX:[8F#C[#=??:&8S$22VUS$MDMO7WT][][W+9F+$#TQV=@X5YA=29&2T
M`.YE:1?GQ;82K^_?OY^9RF/RB",J)IKM:CQ%1$22U6HC#FCD?49F&Q==^!FZ
MX;HM;.NG_7;?PB;CR2?_'SW^P\?U84+5G^7S"3[?GF\>#__HX05&%WV'+[\(
M)QT1&4GY2PI8RZ9XL:(I/BY>T!H<'.Q]X\W=B?P]$SS:*[=OO^^]<P[TKET/
MW:DJRD\3$Q=,7+?EAF#V\@@89-)&5KM#APY2577E"=M+*GL[Y0)^:A5534JF
MI05%Q+R9[;9.VS3`32Q-+:UM].J>-ZCZZ%&RF"PR6A??'^8&)U,7>N@[#\C=
M-9/AE2EA#/<_^#WB<)PFF,%TMK?1\*#?3A_B\TZVLU66,$N:XE$RV">D,Z5,
MY]7+X#%NU;4G(CR2"@L*:6!H@$)#0BDK,UND>V)\;.CE/[\4PV,=9#.RXN.8
MD3,&>N</=BXV>-4J4+;/W?H%$X-CQL0FI^PB48<.5;#=K=;?_DW'E.M?>'+>
MQQY[,-ZCFK[.7WTG`A9(^@?[RNB6FV^A2R^[1"15-S<".$>$P\,C]-8[[]'[
M^\N$ZCEGG`Q"*-VV;1OE+LPA1()>GS3;;#;Z]U\^3975-2=,A%>5Q>]L;Z4.
M9CCXCG7KU](55UXFWS'7%$%K;.PDK;9@RF!'.<Q4$PZ<@R>AC\'68*:>O;U[
M(-E$[^W8?O\%YPQH-AG/\<.UG[OUMA'0MFE(#W-@V+6AH2%Z??>K>-N8JGBW
M[+C[@3?G?OZQQQX+.7*L>L>SSSQ_K]UN-\()+5U>0INONI+6KULC&@$V`B>*
MR6.2&"U'>?*<HT9YW>&8EH!$=X*@:]MW/$!=/3W$=HR"F/99+$%@>O*^&><T
MC3-P[$BI9.4*6K.ZE(&SR?N"+%8RL!/5@R(.+<G!"P0!`N?&@D&BBY86R7CV
M[MO;U-+:E,U\>_.]=__3"V<=:)\]ZV1*U'#%Y=?D8K6'6#4QT6`&X)4_ORQ2
MP#)V\X[M__2?I[B-R6`RU'C=WL5YA864R+P6AT1_/,DK+KN4-EU]I8#E\CDY
MW='IH,XZ=;;![[<R5ZYO;*3NGEY!%PX-=C8J(IPL01:-`?&8!4R76YPHKO%W
M2+B<#+C18)03/F'2;J=Q%B2`'<'W*5JZC+5W<NK9YYZQ\$1WWWO/_5><=:!U
MV[SMYL]VL=-(!L@.5E](&D3G^>?_@+<Y[MU^?_#<[[OAAAO6*09U:UU]_2U5
MAZNCTY@MY.0N$8GC<=,42Y!.!:_?LIENO>5FC?;Y<QJ^?,<<@%72PG7][PC'
M-;/@%3`]XG"]/B=JY+#=(!&B@3406@B@9UQ.<DX["-J)<3BF,9XI6?S\O`(:
M'Q^7``MFJC!_*<6Q@WQM]RMEO;V]Q4%F5\)==STX>G:!?G3G;WDZ-W[ICJ^X
M68),'>V:+T#.`1+XK`;T&!G4:Y@Z9;#JY7.T=='XV'@>2Z<XPC=VO\52/TSK
M/WVAJ"UL+],X9B(1E)R<3$4%^73U%5=H.8X`B?9+]BS@9X-\0OI5"@T-92FV
M"GL8Y0!IA.W]V,2$A/F-34VT[_WW*)SM?7)*LLPA+"R4XF+C*#(J4A,<WY&2
MG$+L]"4E@'LGQB=2(9N0IL:&NG???R>77?CE.[;O>/6L`OW(HSO?XDFLO//+
M7[>Q"BKM'>W^086'1]`++SXO*^]DR>CIZ:/AD6&?E)F$VJ4R1RT[<(#2T].I
M@`<;S50JC"<;P8$"I`MA--09ME%G(KK9.,ED?,@9&Q-#K^[>0[__PW/L/^PR
M1DAR,"]L1&24F(,#[[]+B_/RZ.*+/N.>L(\KO."2V6-M&`L)#7TA*ROCCR:C
MZ3F8B_R\I=3.#`;WCN0QKUF]EOE^9]>KK[^2S*.[G9WBDV=9HA]ZF<.,2[[\
MCU\U8NS-S4UB,G#8F'+9)^UT].@Q0OX!W#<Z*HK"(R+8V01).M/K\46*PJ&1
MA7.+1`((W48"<(-B$(F><6F44;?-)[)R<\R(G"?L-R3PCJ]\G<98Y75V@>]`
M8`7-@1;M?_<=RN`@:NV&3\D4;$%![2JYIYC"Y?+WL9(:!I-34V+S\_(IAX6D
MC9D+[AT7%T>K5ZVAYI:6CCUOO);*W[B5_=$S9U>B=^W\$7O:;W[A\U^<#@D)
M#6YHK)^5:$>6#)/10-1`!<(P+;"/NETT^@`%6%#EX=$1&A@88/4<8$?6P]>#
MDHM87EQ,:]>L9ALYZLMET"RPY5Y&DX",U_5\1VAH&'_>1N_OVT=_>/X%H8EZ
MBA9`CW$$>O"#?13-IJ)X10EK8YA$K?(>DVG,;%+;[1/C!3Q^9=LMVT281GF,
M\`L+%^82P#]0MK_J<.6A(N;3Q<RGJ\ZR,WSXT^R)W[SXHDL;ERS.RT'2IKNG
M>]8-(4$1+,5:CIC$1FI@CLKYYNN["28G,26-.6D_]3/`XMAFY9-)_H:%NO7F
MFVCS-5?1R.BP'V"PBXB(*%F<WKX^6<`,#I^#K!:)1)D5R#@B>1PV6R@=KJJB
M/SSW1^KJ[A&@1YB&'BH[0)'1,926E:W12(X!H(%1;*,-+!0AO-!9&2ETX847
MTO'CQ\018F$OO>0RY,#57S[]9`<OK/>>N^_+XL^K9Q5HE*&:6QO:S19+^!VW
M?RF$OU!I;&I@CFOWJ2<[%9:FT?$)>NG/K[)=:V?U90<T.B8@8"+/_.8WDEV[
M^+++67J,U-G=RTYO_J08DCL_^]\_%DJ&X$2B1YXLO/[]_^M[U-K6QO<PDT=E
M4^3VT+JU:VC+IJO9="1(Y@YL0?P'`Q[%MKFUM9UVO_$&O;]WGP"=F)3DBD]*
M,6EX*#)^+<\10SDYV?3Y;3>SR6@A.SM1?/>*%2O%US0W-0V\\NI+<?S^7??<
M??^]YR1@T2E>Z<K5@VO6K(L%,ZBM/2X.3%?/*`;TIT_\@LHK#L]*WD/**LOV
M^X&V6$Q"I:#R0Z-VL<6!Q[:;;F1>?0FB,;]3!,A[WGR+GO[5;RF(_8*>U(<#
M=K(]=W*(OK0@CVZ\_CI:R&"!@L(I0SO"V;'%Q<3S\Q'ZQ<]_3G7U=1*5'JP\
MXNCK&[!J#,I`JTM6T&V?V\8:TT\#@P/RW8LY,ER^K`3.7GWJ/YYT.)TS;H^+
M%MY___U]YP1H#J=-5IMY+ZHG5UYQ-2UBFP4[C92GW3Y!6D4E5&SD@P_M1#:.
MTM.2)SLZ.MO&[5.+:RK*#8%`.SG"LP4'B=G@UUD*[>28<8GT/_$O/Z:>WFY9
M"-T'A(:&T^U?OE.<*.X#E3=SM`9)=W'$B*AQQB?].5D9M/7Z+5184"`F!<#A
M7H@B$2$B1_[NWKWTW`LO"9>/C8VA+WSV5LI;DDL-#74B)#`914N+:6EAD2S6
M[W[_&Z%Z+J?S6P\\\+U_]26NU+,.-(Y;;[OE)XMR%GX#TGOMYNLDZ:*G1+N[
M.WVYAQ`>>"R!F5375,EBC(R.]>W:^6C"_$"?R.*Y71[Z_&VW47+2`F3-M%GP
MZQD9F?2SG_]?>ON]]T\P"0$[2"@D"(:7S0Q)V$S"7$`9X3.NNW83K2DM%6'H
MZ>Z60,O""[=@09(DCH9X(6(YBNQA9XPY(/2&+UB_]@))@F&!_OCB\][V]E;#
MT-"P6K;_8.D[[[QSW`<T),%S5H%FYY`0'1O9%!D1.9.[>%$D`ZBL6[N>2IGR
M`"CD/>H;ZEDRQ\3>Q7`8C."AKJY6I/Y;W[S;;SI"0H+%3GL]&G?&PF%"61PU
M?N4K7Z7&Q@:_`XQD&PO'^M6O?5WR'K";D%ZMB.L2:4?2'O8XE%F$U1K,L;Z!
M5&8\&@OR\CA":.MU6QB\-1)6M[:VG,@:\D)I*5<MBER<FT?+EBT7:CK"C./9
MY_[`[&60OW=JK+ZA+L+M<OWQN6=?^*(/9'?`HWHV@#9OV;+I#J/9]-/2TC6'
M.?!8UM3<*!*4F)!(5UVUB55>ZR3H[^^GEM8F81RPH;"MX6%A5%Y63D\]_30#
M8.*)V_AO;&:"+,R94:"=H,Z.3GITUV,2%N.SNFU'`?;'[!AAK_4#@(.JC;/#
M1>CL=+K9QAK):K.1E>VW/T,'GDY:8D@"CE4KZ:8;MU)9^?Y9/!SOS\K*$5,1
MP0$8M/30X4/T]CMOB$;V]@_1X-`8N1WCM6Q2LC[8>R"?`Y<1'\`ZV*Y`L,\$
M:'AG\W4W;'F1Q[WV'VZZ145[U@<']E.(+9BL06:1A**BY2PQZT6*I<+*GK^C
MLUU4$A((>A43'2L2U-/;*_2PAT\.U7EQ>JF@H)`NN_0RMI'U_BIY*E/!YI9F
M^NWO_M,/_*D.`.)PS#"3\;!Y<)$3F4"6^C6E*T62EQ862@ZEF04$-AC?@6)M
M=O9"=IZ+1#,`?!.;O-U[7A<.#VT[5'F4V92=TE)3V!<X]GO=SM6CH^-?V_W:
M[F?G2/0LL$\7:*,O*6Z^8>N6VB!K\-2V;9_-`0<^>OPHB!%S2X/0(X`.P`L+
MBMRK2]>8P$#T$!JM!/WL2)#A@_0B@1_*4A["*H]K#`V%`#@BG<4`B)4EJ^@G
M+,W5U362)XECVQ_&YL'A<$I_!QRB1@=-DK1/3DZ2@FT":QDB.6C9!-OF0680
M_>P0L5"HG"""3$_+H#`>@RP2V_?&A@9ZY[VWI*PF?J>]DX[7-LJ"`;;<18MX
M,6>:W,[);#8U/WWIQ5=V!8`;"+3K=($V^$`6B;Y^ZY8NYJ0M6V^\*;^GMT?L
ML:Z>D)"ZN@:A5Y$1VN`3>#)K2]=2>GJ&2(M^P(.#=F'R>$1=<6IZ4NRI+LGZ
M8WQ"`L7'QHMSDE#>UU0C-M6KY:(!,@Z8("P2T@&3?$*+$-+#%.`^,'&P]X''
M('/N(T=JJ+*J@LW/C`@%`*XY4L?WF?2E"!2I<2+)9+6:>U2W8\'TM./7+[WX
M\C^=`F1QD,KIF@S]O&[KEH-!9HMRQS]^*1W257/TR*PJ!9(X<%"A86PGS:99
MN88L)OL+64716P%)GVL",$$L%@!"$`05=_J*`'!X`-?M2Z4"/.28)03G?\@>
MXAK2C:`)4AH6%BZ+,_?`0H"B,8.@8ZR1D%X?L9&%&>4`:Q#9OM$)&F$_,<YS
M"BS^8B[P*V:S\>7WWGK[?\P#,$"'"KA.!VA+@$1;KKWNFB<XO+[F<Y^[;=QF
MLT67'2P7E3MA_!6_R@>JA*2L`V_*@"2S=.0P\`M8Z@$*RE$?9G_/Y`!P6#28
MJY;69FKK:),@)G!QD;>>F7&2T6`F#G9]B2VC5@3@$UP:8&,!^GK[J;.GEX5A
M6BM&>+SE]O'QG:U-]>7S`/ZQ@9YE-H#/Q9=>?$UD9/B_+5]1<F3#^@T%2`+!
M42ES[H@JQP0[#SL'`N@:DOP#2V%L3!1%182*'=5M:Z"D(%2.9N>$$_P7MAMA
M-MZKMW6!-X/G(D"1R@PR?:SRD'Z4H%!4'6%@AUCCD+:=SV'"^8+5A(>'B\/N
M[NJ6("8M/=6GE5X)Y>$_3-!,12L6>"65ZY$<RZ&J&@Z"AL42SCB<]]0>J?I5
M`,@STEEU!D"+9"<D)(1NN&#=7J/)&'7[[7<XV3Z&-S8UBIT+//[TTNL2ZL[3
MG.>:<;E&.YH;0YB!V'*RLVAI<2'%L(.SF,UG7:*1FD4N!6"B2@Y[KFL=%E_/
M^HV/C8N#15*IK:U=?,:2O"52$#AV]+B8H*+BI7XMP<(CLFQH:J'RBBK1#)[7
MCMJJP[\X$XE6`NVS+M6777;QC6$1X3]DS]YWXXTWH6G&!#HT,C+L_R"J)J^\
M^@:-^KCPZ/#PKP;Z>JJF(=[:?5#NNH;/U?B>Q`6)5%B83YE965K^@@,9G)H*
M*P*6ZD'8;99134-U^1$`0.VU@,<BCA+?'<+T$E*H->IHO![@H,5!2]D:_&8%
M9@NI4FV157[O`$TR1U^0E"C.^,B1HS*FI46%8L^/'ZN5<:Q<62(2WM/33_L.
M5*@\1O?TY-25#<>/?*#;ZM.QT8$@^R5[TY:K?V8Q6Z[(S5W4>]55U\2R1S9U
M=7<1F(C?Z3B=]-9;[U%[1Y?(,JOUP<&!OK>'^_L[`LQ1.I^7\YDI^0QK$*6D
MI%!J:K(PEK"P$$E;!A[(YMGM4SQ)MT23?:S&HR-C#&(\`QS"(7:/.$WTU:%H
M###`4+`H'P4T3!.H(*05*02M)T\5-@/)1]]@4V,3CS&9(C@F`$N"4YZ:G*%7
M=K\!WW2PYF#YQM.5:)U#FP*<H@`>$Q,3_JF-ZY\VFDPE&1GI`YLW;0GCB5@Q
M2.2;`WEP5V</K_A!D10?M>N=&!\K&QL>.CZFJ0'NOX#/4K:#):SNRHE4J8FB
MHJ,$Q+CX..'%R#//=0J0:JU^Z*4.CBX1KJ>GIXD][FCOD"171F:Z^`%(>714
MC&@,BK`?!;2T^_)W(+V`]R!IAFPAVBMZ.>B*B8VAO"7Y]-:[>ZFR^@AX]N9C
ME94OGZY$SR?5<AT='0VP_P\[J0O"P\(=FS9M'D])38T'O`/LV1'IH1PEC>5\
M=G1VT;%C=1QUM6G5%ZV%8,+I<+8Y'=,]K)X)'#XO#;$%41A+8F-#([4TMYQ,
M@UAM$Q,36;63F!O'"56<2^-\K;BRX(,#0PR820JO*-)"*I.2%F"G`0T/#0N8
MZ6EI+/TVEDZS4,P/`QI)*+V^B45$<@I5%S=_YL?_^@2F^T)-1=FU&,;I`CV7
M??C!9G""+KKX,]^PA=CN9&DQ+%FRI/N2BR^-Y!#<!F8P.C8JCA(%47]O-$^^
MKKZ).CN[6>T'6().[.$!M=J\Z7+FPJ&B\E@02&CEH4JJKCFBY9P=#I4YLX*.
M(D@J<AO(84"RPMATA(78I-$&]](+$D+9&"28$.1(D&`"B(T-3?(=!85Y$I!@
M<:%!:0`^&*F%(%D`+4:8#30<+2)<]!L6%2V3KM2[MM_+PN6>S,U,CWCFF6<\
M9Y+KF`OVK.N2TI+BM)24?V8VLH3572U<6MBY?MT%T<PLI!@WP_8:63!0*CM[
M>[UI')(^,3')W'9(V@$`U`*F55Y5ZZO3SU=??Y.CR&&_M$K!8,;E2P89><4M
MDK&;VP,-T$/9SD?P&<J,`T&-T7BB"(S"!=I^`3R<*(#&HF5F9;*T#U$7TSXV
MC93$=!2T#[V!:+S4&0V`AOU>5KQ<HM]O;;^/YSF*JL^&HQ45[Y]I]BX0[+G2
M;6*O;MVP8=WFR.C(K_+*)V,RF1F9?:6EJY6,S,Q8`V;F"[\1_6&0D&;81&DO
MP'8'7].BGMI4?8#W]0W2V/B8%ERX9H2J8>N$JA54&31>3(#FF&&[ZY#[8B%F
M.1M(8ZA-$EN1H'*H*88$^PO&R/PAU(;),1A,`C1L<&I:JGRF]GB=.,\"9D?H
MPQ.?0)H@%+-$9V1DT5UWW\/\?>2_#;1.^4RG`%Q.-AO!JU>ONBX\,GP;3R)'
MVA%";.Y%.;D#>?EYYI3DE$CVU":];0`#A52AGPXV%:HX/:T]ZCQ7ZSIR:^;$
MJRV$+NV!K$3VK*`8P"J/O`4JX/`7O1S1(<B8NSW.RIH`YQH3PZ8G$CW5$6(N
M`B-#N3\/%*!/C$]04DJ2T#\X0[`:--X4%1536FHZW?Z5KVGC];K7'#]T:/_9
M:$0W!H)[BM.\9MV:=;&QT5O8E&]D.V?3P8B-BQU+S\B<S$A-,R<F+@CC`5MU
M1G"B[>O$]C9=LB')`%SUK3@^HP&N;P+2FA(#S0Y'CFYV<&.]/3U334U-UI[>
MOB@.J4W3DDYUS\IC2-LN!RDH:R&*C8]#_UZD[/[2(T/AZLSCH6'0OLB(2"HN
M7L;.4*4'OON0UDMX%H$.3#H%GL;YGK/="RDN7OJ9T/"P"X*"+.O8M,0$AM[(
M<S!S&8V(CIJ.CHSF4#S2R+3+%!S,HF^V\-J@"<T$+5"T;@2O6W>6''Y[V9RX
M.`1W34]-.3D*=(^-CBECXZ,FNWTBDJE>4.!^&7R>S4[#U/3T_K[^_@-#0^/>
MX-"0/':.^2R]!3R>^%D2Q30PCAE*/-/+^+AH`1^V6O;EL+FR!@53SL*%4GL\
M7%E]SH`.!'P^D`-/^1O;<E->7NZBV-BX%<$AP<MX@DL8^#1$F!_),WUA.J30
MX^M\^AA;\NSL])IG'#-'QB;&JCK;V@^WMW</2B>D5NOS^*YA5SR)*2GQX1$1
M2\WFH&4,?#%[EB(*V(..8P'S^IR<='Y,D([5EM8.>FW/6_[7SR70@0[S5$`;
M`UXW^$[Y6TA(B#4G-R<K,BPLPV(-2C:9S$G,?>/9?T:P@XI@HVE32`GS:8"B
M^O5=<?'E-$OW.-OM,:_J&6%I[7?.N+H=4Y/=[$2;^>CV53R\<T[//&![?(#[
M_YZ4E*1&):0L9"$NX>>?XAM=I&@!EN1'$ME&-S0W2ZX&7!+:\Y<`>CX[;I@'
M;&,`V'-/)>`Q\/JC2G%JP*,.+`4`J_K`F_LX']B!Y]QV`D-1:>E%[!=V*BJM
M$"K)`5-6>@JU,QV<L$_]Q8&>RU;F@OUA(!L"T]EG"'0@X.H<@.>3ZL#'DXX5
M*U:8W60J95>[B27W1OZ3=-'#::8N2!`&U=C:1G9VE']-H.<#7ID'=&4>B?XX
M0*MSKD\%=J!TNP->GP6HRV1*(!>EL'W.8QZ3SV]9SE^[6O%M>%(,BAH;%:'$
M<A1IM00)I4/>NK&U_<R!SMBXT1INM^>0UQ#/GBB4QQFB*IJ]/">'QBP@(=B!
MHJAS@57G22',:314M#Y6%8S1K^\JA3#"9OPZ!9]AOGN%\IM0LD_DZR2^#XLF
MQ9_D>*2_&LV5862S!G&4&2S\&E1O='A48TX<A;9V=M/DE./C`5VP<F6J0H;+
MV;=?Q),M\:4R#?0)."0[9[-*S9$IIC0\VOBY%9OXF;\C*XB(5G82#"/4]M(4
M!R]PB@C=6SJZ/ASHC1LWFD8F)Z]35<,7>9D_HP,K7QP<+)WY-EY1H]DDJ4LS
MNV!MZXI!/*T2>'(8BU\80-N*XMN$J>]ST5^;%90$-I>3%OF15V\N)_\6-Z_L
MNIW]?MDUY?NU@L"M%[.DVU>U008`WZ_U01LT@\%_,UM,TBZ!7$DH2V40\V)(
MK[9CRR(1)JKA:!-&8@EA.*HN**$AL$$P`Y"1A()$3TT[YP>Z:-6J:U4/[6)D
M%N)Y=%0$)2#WRR0=6PNT2H>V/<'_&'@M$S!(GL!_[7O-:)CO_8KOYQPT+JPG
MF!``:-O-3EQ[?==:`LKK>S\6R!/P'M47GFN;B#R!7:D!H.L%XUGK$/`$Q0+)
MAW!DB&H-HC^$Z$CL=W9V2J8/N[^0'T%'E4426599,`"-*DQ[=Z\`[?:Z+SAV
MZ-![2H`7_05;P<]#XI+8<V9GI,FJZL!YW!YM,CP(9+)P)"4OD-Q#5U>7I`RQ
MX08]T(C]D2=&GA?OG6(IR%F8+2M=5ULOTI2?G\>1G(OJZ^NEFRDE-47*3+T]
MO5+]0&LM-B&AJQ2%4N21&WB"D.3TC%1R\"3:VSO(&APD10#D,I!3CF3A0"$5
M]T)[&`H%"&ZZNWI$\E`,1AZEH[U3VQC$@C0X.$2#`X,4&Z<5@IL:FT4`BI<5
M"W"=[5T\GC#Y+$I8Z,>&]0<N,!WZE@]\%IE!-/1T]O31%(?V[%XVUQP\\((`
MG;]B19I1,;;!%%QZX0;2-LQ[A'"CM%=[O%8`*%Z^5(J:90<.^G:?KI&\;L7!
MPZ(Z&!@FCQ)/'@.)RL;A0Y6B:ALW7B`EG]?^_+J8CJNON5(*GWOVO"E@K%RU
MDNKKZNG8L>.R""FIR72PO$+RU*O7K)30_*TWWQ7)6[M^M?3951P\)$G\W-Q%
M(EEM;1VR*!A+?7V#+/KB)8LE35I=I>VD1;T/B2K,"<!D96=*Q:>KLTM2H!A+
M=W>/:.3"13FR!\?-3`+5%Q0:4`R`^4`R26O.F10!PH*@%HGJ^S0+05=?/R&'
MPL*;75->WCP+Z$R6XC6KEI&#;=&A@Q4"(I+HD(:^WC[**U@L-QQBR8%JQ?.@
ML)(`#.J"#DZ4^R$Q4#N``SN&LGPL2S<*F:AL0$N0+X`D#$EEPR3[3?!>=(=*
MA8/?B_X)2`>VIV%AAP:'1:M0;D)2"3EMH\^F8JS((^-S$!@D]=&&@-HAS!7&
MB`5&OAG?B]0IDD/X;CU1I;<+:SELK9B`S4\8C]77BZ<!;9?%PO?`-8%U:/L=
M28"&<';U#1)'I11L5"(.'#@P/@OH[,QT*EU9+"7YW:^_(9QP\9)<?\U.2Q5^
MV&D\Y6NG^JP^2;&S7L_'N-:>SW_M]=MZ_3P=EJ$[:WP.THG2&%@$S"*$!G9Y
MFDU%:TNK9/M`#!P,N,?G6P`T%ANFLJ-G`+;>6WVPS.@G_'Z@6:)+6:)!6PY5
M')8<*[Y0!P6K#P^,1#L&!`DVS'6,V-;+H"+?B_?)/9``,LYUDMHC!@XATEH$
M?`[0Y^2DNL(@VB<G1()AR_44JM=7E1%GB$WU/$'83VRYL[%Y4S7R?=(!GX'T
M+-H:I)=.9T(!QP#;;/@DF"'TZL'1H5D'XX?):&YN]@$=)N,/!!I^`MK5-SP.
MGS!275X6?4J@8?\:&AID`$'L44-];5I!%JTE%S87$X%-TZF2-F"C_QHJCR^,
M"`^G(+:1)T#V/?HF!^W!\V!VO#JCT%F#_DM@(\/#4A"(BHJ6SZNZQ/JV*.,:
MZHI=`2$\SC!VI*J/%LX]T!2#=&=*<O(II5L#VBWU0AD_*!Z;#K0GP#[C!UQ`
M`B#16&"P%/VGB[`0`+YO2/I8CK!$%YX$=!8#O3H`:#2,@SGH5$Q7KT\"T+#O
MZ1GI,GYKD%6V.6-7`FQ_2TN+)M'LA\`Z`#2Z)8;Z1X0%.6?<-#@Z#L;Q*V8<
MMYX$=":KRIK2Y7*SNKHZX<ZP4Y]4H-/2?4"+Z;#(]@HX[&8&&F8Q-#Q$6LC0
M7(^"K8,C03A?I]M+$^B@4NGSU15E3YT2:">#=.3HT4\TT*C6!TJTF4T'DD:Z
MZ4#Q%V0!#>U@65(?Y+@`/FQ\:D9E\^$VJYZDBHJ*P9.`QC:Q525%YX%FH-&!
M%`BT":2`QPE*.<#!$`"'=*,-37/4(>*XG2X/3;!D*ZKRRZJ*`[?-2C/J0"_F
MZ&WYL@)9(6R:_\0"S5$BO@\1)T!&#PA2G^#2VBZ"2=F/B!T*#1P8@38E<C2+
M_3(C$U.2=E55S]*:BHK:>8'.79A%*Y85"C<\>NSO$VBPHU#I;O+XJ^+@7<BN
MX1%1(.Z!<7D#JN1ZW5%O0]`+Q1*TR"8HJP1&Z/'`CVJ%\'B!'B)FKZ]Y9W1B
M6L;$G_U.5?F![YVT_6TNT``(H?#9!EK^!63PX"U`AS`*B\4JFS#]08='VX2)
M:P0!J#(C:)*&&@"B_Q2%_&2/QP_4F08L<QO4$>$B*@:M&QX<D4@W.SN+3<<X
M-3<U(P4H8,-\8,_[N-V!\B6RX;^NJBC[[-SJS"R@%^5D4<GR0N&&QXY_--#H
MDE?I1/HS$$BM'UGQ][J)1)^#R%#/UB$O`ZG7.O(-$G3!UV"W%[*.D&0L'@(5
M<&`TP8!-Q,7%RK;E_KX!?Z-D0WVC`%A2LD)R*4A`04N0@\&B8A,HM'Z0I;N'
M/X?DD4B-HCP>'1)\[]MOO^V>=^?LR4!/,="ULX"6BNZ,T[];Z71"<+P?425`
MU_K/5;DOI`\_(8&\"3K],6$D=R!):+UJ8LD9'AJAA>P[X,W+RP[*1)>O*#XI
MJ81>Z.;F5DI)29(<#%*9N%_NXD5B`FJJC\B"%!6?2"I!4+)YSLC>H1L4G:4)
MB0F2UX$608(C>9Q:+B943`<6L[6M0[:,8,^Z+\-ZC$7P+G9^KW_H7O!3`AT>
M+BU5``>2H^<K,`CP3*0806N05H1JY>3DR.^!`J",S`QI"JRIKF&>V4OK-ZRC
M&`Y^]NQ^0R1JT^:KA>R__MH>D:K2U:42"%155M.B10LIDQE0Y>$J#IE[J&3E
M,@'EO7?WBC.ZX%/K99,.[HV@(8L!P<ZPGF[T*$=+5@YI3]P_EN\-#CSB^U$4
M=(C"-$!B\9-J>H,Z-`22'QB.![%=#C('$3;B3?+B(,DU-#*&IAW%5Y`L9WKQ
MDYB0D-_-)\6G!'IA=B:M7+%4/.KQVEK_3^_@$4X+4H9!0Y(`UOH-:R4G<.!`
MN;Q6LK*$5;!?&$MV3K9(&M003FK9LB*>9+2``TDN7;U*)HS746/##U:A:H$P
M%A((^P>@8.N1YM2:S%V^I,]LTS%?4DE__-!]+0&%!8]'E6M$?-`:^9DV^65@
MS]Q*#1MH>M:@J,]4EI=_[%]/GQ=H@-K0T.@'&CEF2&I65B8ELVI"0F&/D72!
M@X(Z(>F"U.)LNVSPW\,H.VH-)]GK$P"=VBZ?^(TZ;0.GMM?0=XT?FH4S=&N_
MT0209F?QM+*8U^.KY/@J+WHI[",.Y%:/\=)6LI_;IQK4]Y!;/M-2_TD!"RHD
M4'\DSG7ST-K2QBJ:(6U/&H`G.SBM5*?X?R<4S$K_O3F=2FE@G)!`O4,4DB/7
M^.EC*3JXM1^W\FJ_6W>6#_Q*RS`SA&$>[C"/>IA4PS"/L(>=:1LO0BN9J*6Z
MK*SUPWZ#XXR!SDA+IK6K2Z09_&!%!<?Q$U*NTL&%5,)6P3Y.<?0SY0L]M28_
MS[DH1KMYA!,\53N?#C(0,C63R*_S&H^IVH]GXWH4&PA4>8\RHJBJ0YXKRJC!
MR]>D3!G--&YTN^T<V0TW-C8Z_QK-*WZ@TQC4]>M6B4UM;FX1IP<'!I4;&1FG
MX=%QJ;[,.3Q\E_&S`0;3_C&CV>M0I\R3,3&FB8]R,']/QRR@4Y,3:<.Z4N')
M2)##A@T.ZYY6FE4`ZA[^\YL,S&%5\=8<+2_OI?/'F0&-"G(MLX&>OB&5S0):
M?X8,JOH#CLN>JJBHZ#D/VW\3:/PF\X4;US'(372LMM%'%=6?&-RN[U965HZ>
MA^LL`8WL%#IW?$GK?J8SMS"=V7,>IK,,=,"?:PTFY?+*_?M;ST-T[H"N,WI<
M&PX?/CQP'IYS"+318\HX?'A?VWEHSB'0'.QMJ2HK>_X\+.<4:,.NZH/E-YV'
MY!P"75BX/LIBF3;J%=OSQSD"^OQQ'NCS0)\_S@-]'NA/\O%?K;QU"P\($\4`
+````245.1*Y"8((`
`
EOT

sub img { unpack('u*', $uu_video) }

